"use strict";

let activeSlide = 2,
	countSlide = 3,
	prevBtn = document.querySelector('.slide__toggle_prev'),
	nextBtn = document.querySelector('.slide__toggle_next');

const changeControlSlide = (prevActiveSlide, activeSlide) => {
	let prevSlide = document.querySelector(`.controls__el${prevActiveSlide}`);
	prevSlide.classList.remove('active');
	let slide = document.querySelector(`.controls__el${activeSlide}`);
	slide.classList.add('active');
};

prevBtn.addEventListener('click', () => {
	let prevActiveSlide = activeSlide;
	activeSlide -= 1;
	if (activeSlide < 1) {
		activeSlide = countSlide;
	}
	changeControlSlide(prevActiveSlide, activeSlide);
});

nextBtn.addEventListener('click', () => {
	let prevActiveSlide = activeSlide;
	activeSlide += 1;
	if (activeSlide > 3) {
		activeSlide = 1;
	}
	changeControlSlide(prevActiveSlide, activeSlide);
});
